function parametros_bandpass




persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end




settingsBlock = [bdroot '/parametros1'];
[symbolPerFrame] = getSettings(settingsBlock,'symbolPerFrame');
[symbolRate] = getSettings(settingsBlock,'symbolRate');
[M_ary] = getSettings(settingsBlock,'M_ary');
[snr] = getSettings(settingsBlock,'snr');
[Ebno] = getSettings(settingsBlock,'Ebno');
[input_signal] = getSettings(settingsBlock,'inputSignal');
[maxDopp] = getSettings(settingsBlock,'maxDopp');
[delayVector] = getSettings(settingsBlock,'delayVector');
[gainVector] = getSettings(settingsBlock,'gainVector');
[k_factor] = getSettings(settingsBlock,'k_factor');
[doppShift] = getSettings(settingsBlock,'doppShift');
[fc] = getSettings(settingsBlock,'fc');
[fci] = getSettings(settingsBlock,'fci');
[samplesPerSymbol] = getSettings(settingsBlock,'samplesPerSymbol');

p.fc = fc;
p.fci = fci;
p.samplesPerSymbol = samplesPerSymbol; 
p.symbolRate = symbolRate;
p.symbolPerFrame = symbolPerFrame;
p.M_ary = M_ary;
p.snr = snr;
p.Ebno = Ebno;
p.Esno = Ebno + 10*log10(log2(p.M_ary));
p.input_signal = input_signal;
p.maxDopp = maxDopp;
p.delayVector = delayVector;
p.gainVector = gainVector;
p.doppShift = doppShift;
p.k_factor = k_factor;

 
%Assign variables to base workspace
 assignin('base', 'p', p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end





